int defaultStuur = 2;
int stuur1 = 3;
int stuur2 = 4;
int motor1 = 5;
int motor2 = 6;
int defaultMotor = 7;

int sensorPin = 12;

int distance = 0;
int duration = 0;

int inputread;

int mode = 0;

int snelheid = 0;
int snelheid_basic = 100;
int snelheid_stap = 5;

int movement = 0;

float stop_constante = 0.1;
float stop_constante2 = 10;


void setup(){
 pinMode(defaultStuur, OUTPUT); 
 pinMode(stuur1, OUTPUT); 
 pinMode(stuur2, OUTPUT); 
 pinMode(motor1, OUTPUT); 
 pinMode(motor2, OUTPUT); 
 pinMode(defaultMotor, OUTPUT);
 
 digitalWrite(defaultStuur, HIGH);
 digitalWrite(defaultMotor, HIGH);
 
 pinMode(sensorPin, INPUT);
 
 snelheid = snelheid_basic;
 
 Serial.begin(9600);
}


void loop(){
  inputread = Serial.read();
  
  switch(inputread){
   case '*':
    Serial.println("De auto staat nu stand-by");
    mode = 0;
    stoppen();
    rechtuit();
    break;
   case '4':
    Serial.println("auto rijdt nu autonoom");
    mode = 1;
    break;
   case '1':
    Serial.println("zelf de bestuurder");
    if (mode == 1){
     stoppen();
     rechtuit(); 
    }
    mode = 2;
    break;
   case '3':
    stoppen();
    rechtuit();
    if(snelheid <= 250){
     snelheid += snelheid_stap; 
    }
    Serial.print("Snelheid: ");
    Serial.println(snelheid);
    delay(250);
    break;
   case '6':
    stoppen();
    rechtuit();
    if(snelheid >= 10){
     snelheid -= snelheid_stap; 
    }
    Serial.print("Snelheid: ");
    Serial.println(snelheid);
    delay(200);
    break;
  }
  
  switch(mode){
   case 0:
    break; 
   case 1:
    autonoom();
    break;
   case 2:
    zelfBesturen(inputread);
    break; 
  }

  if(mode != 1){
    delay(250);
  }
}
